## postgis 3.3.0~rc1+dfsg

=== debian/changelog ===
postgis (3.3.0~rc1+dfsg-1~exp1.pgdg120+~20220808.1047.g63ba930) bookworm-pgdg; urgency=medium

  * Rebuild for bookworm-pgdg.
  * No source changes.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Mon, 08 Aug 2022 09:01:27 +0200

postgis (3.3.0~rc1+dfsg-1~exp1) experimental; urgency=medium

  * New upstream release candidate.
  * Drop basic_test.patch, included upstream.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 08 Aug 2022 09:01:27 +0200

postgis (3.3.0~beta2+dfsg-1~exp2) experimental; urgency=medium

  * Add upstream patch to fix test failure on i386.
  * Don't ignore test failures on i386.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 24 Jul 2022 07:27:12 +0200

postgis (3.3.0~beta2+dfsg-1~exp1) experimental; urgency=medium

  * New upstream beta release.
  * Ignore test failures on i386.
  * Drop pgsql2shp-core.patch, applied upstream.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 14 Jul 2022 05:23:29 +0200

postgis (3.3.0~beta1+dfsg-1~exp2) experimental; urgency=medium

  * Add patch to fix FTBFS on s390x.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 04 Jul 2022 06:04:08 +0200

postgis (3.3.0~beta1+dfsg-1~exp1) experimental; urgency=medium

  [ Christoph Berg ]
  * Run minimal regression tests from debian/tests/test-extension-creation.

  [ Bas Couwenberg ]
  * New upstream release.
  * Bump Standards-Version to 4.6.1, no changes.
  * Drop manpage patch, included upstream.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 03 Jul 2022 19:18:18 +0200

postgis (3.3.0~alpha1+dfsg-1~exp1) experimental; urgency=medium

  * New upstream alpha release.
  * Update pgversions for PostgreSQL 11 or higher requirement.
  * Require at least libproj-dev 5.2.0.
  * Enable LTO.
  * Update copyright file.
  * Refresh patches.
  * Add pgtopo_import/pgtopo_export manpages.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 22 May 2022 07:07:38 +0200
